Bug 728426

Summary: default pinning should be shown correctly according to runtime pinning
Product: [Community] Virtualization Tools Reporter: Huming Jiang <hjiang>
Component: virt-managerAssignee: Cole Robinson <crobinso>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: berrange, crobinso, cwei, dallan, jwu, mzhan, xen-maint, zpeng
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-26 19:24:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Huming Jiang 2011-08-05 05:38:44 UTC
Description of problem:
The value of default pinning should be shown correctly according to the Runtime pinning values when the guest is running.

Version-Release number of selected component (if applicable):
libvirt-0.9.4-1.el6.x86_64
virt-manager-0.9.0-5.el6.x86_64
qemu-kvm-0.12.1.2-2.175.el6.x86_64
python-virtinst-0.600.0-2.el6.noarch
kernel-2.6.32-171.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1.Shut down a guest. set the value of "Default pinning" is "NULL"(empty),apply.

2.Boot up the guest. 
  The value of default pinning is shown as "NULL"(empty), while Runtime pinning has values. and i think the value of default pinning should be shown as "0-3" according to the Runtime pinning.

3.set the value of "Default pinning" is "0-2",apply. 
  The value of default pinning is shown as "NULL"(empty), and i think it should be shown as "0-2";

4.Shut down a guest. set the value of "Default pinning" is "1-3",apply.

5.Boot up the guest. set the value of "Default pinning" is "0-2",apply. 
  The value of default pinning is shown as "1-3", and i think it should be shown as "0-2";
  
Actual results:
see "Steps to Reproduce"

Expected results:
see "Steps to Reproduce"

Additional info:

Comment 1 Cole Robinson 2011-09-27 15:17:28 UTC
Low priority fix, deferring to 6.3

Comment 3 Cole Robinson 2014-01-26 19:24:56 UTC
The 'runtime pinning' UI has been removed upstream now, it was totally overkill for virt-manager UI. So this bug is 'solved' in that way